commit fe60c0ffac85c9342bf9daf162f9d3a0b6096ff9
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 18 20:43:52 2020 +0100

    configure.ac: bump versions for the 2.10.16 release

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 65b6f7cc6f1235b42f882a17eed1557032f9d9bc
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 18 20:39:15 2020 +0100

    app: s/getenv/g_getenv/ in gui_restore_after_callback()

 app/gui/gui.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2ffa09fab54e566c70005f7c07db8978f7ebb98d
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 18 20:38:18 2020 +0100

    app: fix indentation in gui_restore_after_callback()

 app/gui/gui.c | 84
 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 43 insertions(+), 41 deletions(-)

commit 1ebd013e53f8e5dec3c99a924d528216ae6877bc
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 18 20:08:36 2020 +0100

    NEWS: some paragraph re-wrapping

    (mostly to avoid having to re-wrap most paragraphs for the
    release announcement mail)

 NEWS | 112
 +++++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 59 insertions(+), 53 deletions(-)

commit 6980bc68bb858f5b2408b371788c28bc6e179b05
Author: Michael Natterer <mitch@gimp.org>
Date:   Tue Feb 18 20:03:29 2020 +0100

    etc, docs: update the default gimprc and its manpage

 docs/gimprc.5.in | 43 +++++++++++++++++++++++++++++++++++++++++++
 etc/gimprc.in    | 36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 79 insertions(+)

commit 10bbdb323a8f66cf5e13e14c00efdbf16850b2ae
Author: Ell <ell_se@yahoo.com>
Date:   Tue Feb 18 18:39:49 2020 +0200

    plug-ins: improve PSD loading speed

    In file-psd, improve loading speed, mostly by eliminating excessive
    copies.

    (cherry picked from commit 52f5a9f65453f78b3f1e0e3b31962178f5aa4bfb)

 plug-ins/file-psd/psd-load.c | 190
 +++++++++++++++++++++----------------------
 plug-ins/file-psd/psd-util.c |  65 ++++++---------
 2 files changed, 116 insertions(+), 139 deletions(-)

commit 90ac44467d8423158ef9d2ee5c8010f891a0595c
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Tue Feb 18 02:47:59 2020 +0300

    Update Russian translation

 po-python/ru.po | 239
 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 154 insertions(+), 85 deletions(-)

commit 27aae8881d8cc992c8934a0e4d80130e0fb60e54
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Mon Feb 17 21:57:09 2020 +0000

    Update Hungarian translation

 po/hu.po | 361
 ++++++++++++++++++++++-----------------------------------------
 1 file changed, 124 insertions(+), 237 deletions(-)

commit c382c576488a321d73b5b69c92986b3a5ab9aa78
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Feb 17 17:19:15 2020 +0100

    Update Polish translation

 po/pl.po | 228
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 116 insertions(+), 112 deletions(-)

commit 9b1d5309458025db1d8942c7ad0237006f404071
Author: Ell <ell_se@yahoo.com>
Date:   Mon Feb 17 16:58:26 2020 +0200

    Issue #4627 - memory corruption when open crafted sgi

    In the file-sgi plug-in, check for failure when allocating buffers
    of user-controlled size.

    (cherry picked from commit 15438c58d2a2625c40b33536910e2823b696b617)

 plug-ins/file-sgi/sgi-lib.c | 29 +++++++++++++++++++++++++++++
 1 file changed, 29 insertions(+)

commit 0095573c4b4a58bb2828a21d9a23721abeff5929
Author: Ell <ell_se@yahoo.com>
Date:   Mon Feb 17 16:50:28 2020 +0200

    plug-ins: in file-sgi, convert tabs to spaces

    (cherry picked from commit 2ed889394d1ae15e63653f0d01dc65957ba00e29)

 plug-ins/file-sgi/sgi-lib.c | 286
 ++++++++++++++++++++++----------------------
 plug-ins/file-sgi/sgi-lib.h |  52 ++++----
 2 files changed, 169 insertions(+), 169 deletions(-)

commit 3c2bc14c576c4c35eb17a1e0c7be12466c4d0ad8
Author: Ell <ell_se@yahoo.com>
Date:   Sun Feb 16 23:01:49 2020 +0200

    plug-ins: in screenshot, keep image dirty; keep history clean

    In the screenshot plug-in, don't clean the image, since it's not
    backed by any persistent source, and disable undo while modifying
    it, so that the initial edit history is clean.

    (cherry picked from commit 4fe821789805a2665961fdded047c66ad78a98ad)

 plug-ins/screenshot/screenshot.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit cc24b968f7b07219ce50f673cbb0e7b1f47a400b
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun Feb 16 20:59:26 2020 +0000

    Update Swedish translation

 po/sv.po | 232
 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 119 insertions(+), 113 deletions(-)

commit f0c33881ea5075f502f4b8c546f2630aeb2df964
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Feb 16 20:22:13 2020 +0300

    Update Russian translation

 po/ru.po | 286
 ++++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 166 insertions(+), 120 deletions(-)

commit 629470e0bb7e24794d343ff4aa187bf82f321b70
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Feb 16 20:21:54 2020 +0300

    Fixes and improvements for 2.10.16 appdata

 desktop/org.gimp.GIMP.appdata.xml.in.in | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 39ad0319b958a25466e76507a82b6b29556be8f0
Author: Ell <ell_se@yahoo.com>
Date:   Sun Feb 16 02:24:09 2020 +0200

    devel-docs: add missing functions to libgimpfoo-sections.txt

 devel-docs/libgimp/libgimp-sections.txt             |  1 +
 devel-docs/libgimpcolor/libgimpcolor-sections.txt   |  1 +
 .../libgimpwidgets/libgimpwidgets-sections.txt      | 21
 +++++++++++++++++++++
 3 files changed, 23 insertions(+)

commit 75441884d088511f4e0df794ff723779f4e4f479
Author: Ell <ell_se@yahoo.com>
Date:   Sun Feb 16 01:30:41 2020 +0200

    data: in Makefile.am, make sure to uninstall gimp-release

    (cherry picked from commit cf574c44fb981268f544f2757e951d727af399ff)

 data/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 860415b0f816e83f5b57641a8367c1e489a459a0
Author: Ell <ell_se@yahoo.com>
Date:   Sun Feb 16 00:33:40 2020 +0200

    libgimpmath: fix unsorted line in gimpmath.def

    (cherry picked from commit 75838a59a8ac2d7a078620c02042c689c2ba67d9)

 libgimpmath/gimpmath.def | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 52dcc84b7042a75fc38f00f4d3b3326e2ea04e9d
Author: Julien Hardelin <jhardlin@orange.fr>
Date:   Fri Feb 14 21:05:24 2020 +0000

    Update French translation

 po/fr.po | 3321
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1846 insertions(+), 1475 deletions(-)

commit 379082cd1baeb5220a88618931aeaab0e366da2b
Author: Ell <ell_se@yahoo.com>
Date:   Fri Feb 14 21:48:32 2020 +0200

    app: fix brush outline position when snapping to stroke

    In GimpPaintTool, fix the brush outline position while painting,
    when "Snap brush outline to stroke" is enabled.

    (cherry picked from commit ea729f6d027aca13fbd906a3c5efef563ab3f427)

 app/tools/gimppainttool-paint.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 173ace906a253f3170c2e8119c51bccdf59fc6f2
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Feb 14 12:06:36 2020 +0300

    Update NEWS for 2.10.16

 NEWS | 15 ++++++++++++++-
 1 file changed, 14 insertions(+), 1 deletion(-)

commit d0b16b17fb1ba459f53390b1a4f6b1a785eb956f
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Fri Feb 14 11:52:55 2020 +0300

    Fix the 2.10.16 release date in appdata

 desktop/org.gimp.GIMP.appdata.xml.in.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 990250c517f26e73a23842f1aa8514afcfb2a9cd
Author: Jehan <jehan@girinstud.io>
Date:   Fri Feb 14 00:56:22 2020 +0100

    configure, data: create/install the gimp-release file.

    (cherry picked from commit f98e506712fe0aec70d678698d3236e81f9683f4)

 configure.ac     | 6 +++---
 data/Makefile.am | 2 ++
 2 files changed, 5 insertions(+), 3 deletions(-)

commit ae2aa6c79b661ae60850667c789cd3c47c640c80
Author: Jehan <jehan@girinstud.io>
Date:   Thu Feb 13 23:59:46 2020 +0100

    app: store the revision number in a data file.

    I realized having the revision as a build number is the wrong idea
    as it
    implies packagers will have to rebuild GIMP for just a revision. Yet
    very often revision may just be data change or dependency fix/update
    without rebuild needed (i.e. no ABI change).
    Instead let's keep this package information as a file 'gimp-release'
    (inspired by /etc/os-release and other /etc/*-release files of
    distributions).

    (cherry picked from commit 87e9ebcfadb1fa23c2b5546cbe88204f1db3c1d2)

 app-tools/Makefile.am |  2 ++
 app/gimp-update.c     |  3 ++-
 app/gimp-version.c    | 34 +++++++++++++++++++++++++++++++++-
 app/gimp-version.h    |  7 ++++---
 4 files changed, 41 insertions(+), 5 deletions(-)

commit bb72b2f1559df98a671be8c99e56c0c9cf3f6728
Author: Jehan <jehan@girinstud.io>
Date:   Tue Feb 11 21:40:28 2020 +0100

    app: do not update a finalized dialog.

    When the about dialog is destroyed, the weak link will be nullified.
    Don't do anything then in our handler.

    (cherry picked from commit cc9a15de979f9fba2a4cc37b4eac1de36b888f52)

 app/dialogs/about-dialog.c | 3 +++
 1 file changed, 3 insertions(+)

commit c5c67b9d6163f4a7d3b747cb347e4de710d64aad
Author: Jehan <jehan@girinstud.io>
Date:   Tue Feb 11 21:12:42 2020 +0100

    app: only show a "Last checked" date when we did at least 1 check.

    If for instance you've got no internet connection or other reasons
    that
    a check might fail, the check-update-timestamp will be 0, which is
    1970-01-01.
    Thanks to Alexandre Prokoudine for noticing it!

    (cherry picked from commit ed778303813d07ac1eac4dfbcaa4ed86c5f12f1d)

 app/dialogs/about-dialog.c | 29 ++++++++++++++++++-----------
 1 file changed, 18 insertions(+), 11 deletions(-)

commit 3395362305fcc96fd8ed7c2fa49bf0fb9166323f
Author: Jehan <jehan@girinstud.io>
Date:   Sat Feb 8 14:17:17 2020 +0100

    app: always show the "Check for updates" button in the About dialog.

    Even when we already notify of an update, we should leave the
    ability to
    query the last gimp_versions.json manually.
    It would allow also people who disabled automatic check at startup
    (whether through preferences or because the build disabled the feature
    altogether) to still make update checks, and to not be forever stuck
    with the result of an outdated version check.

    (cherry picked from commit 2900f2a868a7790719f6ad8cf95eea6b09cffa6e)

 app/dialogs/about-dialog.c | 54
 ++++++++++++++++++++++++----------------------
 1 file changed, 28 insertions(+), 26 deletions(-)

commit b3583119bd98151aec44c6f264eae693e3d8c9c5
Author: Tim Sabsch <tim@sabsch.com>
Date:   Thu Feb 13 19:36:34 2020 +0000

    Update German translation

 po-python/de.po | 257
 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 171 insertions(+), 86 deletions(-)

commit 9e358ebdbd67fe98b9e493bff724167ed5ea6dc5
Author: Tim Sabsch <tim@sabsch.com>
Date:   Thu Feb 13 19:04:00 2020 +0000

    Update German translation

 po-script-fu/de.po | 82
 ++++++++++++++++++++++++++++++++----------------------
 1 file changed, 48 insertions(+), 34 deletions(-)

commit 90cf7d268c1dd1c5d61d88f6d16c2a10a2740a62
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Feb 13 19:54:17 2020 +0100

    Update Polish translation

 po-python/pl.po    | 242
 +++++++++++++++++++++++++++++++++-------------------
 po-script-fu/pl.po |  86 +++++++++++--------
 po/pl.po           | 246
 +++++++++++++++++++++++++++++++----------------------
 3 files changed, 345 insertions(+), 229 deletions(-)

commit 49d164fead0f706e191e48c3acd60ea856d8dece
Author: Tim Sabsch <tim@sabsch.com>
Date:   Thu Feb 13 18:52:29 2020 +0000

    Update German translation

 po-plug-ins/de.po | 506
 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 282 insertions(+), 224 deletions(-)

commit 572811541322d24706cd0123e4f97acd9ed07ebf
Author: Tim Sabsch <tim@sabsch.com>
Date:   Thu Feb 13 18:46:10 2020 +0000

    Update German translation

 po/de.po | 259
 +++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 153 insertions(+), 106 deletions(-)

commit 1b9fca2b240eb9dfdf5b650418f302843896a4c4
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Thu Feb 13 18:03:32 2020 +0000

    Update Hungarian translation

 po-python/hu.po | 247
 +++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 155 insertions(+), 92 deletions(-)

commit 8ac751995de627cd4c67a00ec8c310f59ab08ddd
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Thu Feb 13 17:53:56 2020 +0000

    Update Hungarian translation

 po-script-fu/hu.po | 85
 +++++++++++++++++++++++++++---------------------------
 1 file changed, 43 insertions(+), 42 deletions(-)

commit 138d2829d49c21f0318d87b539cf6a631f6d5fd5
Author: Balázs Meskó <mesko.balazs@fsf.hu>
Date:   Thu Feb 13 17:47:32 2020 +0000

    Update Hungarian translation

 po-plug-ins/hu.po | 691
 ++++++++++++++++++++++++------------------------------
 1 file changed, 310 insertions(+), 381 deletions(-)

commit fc805a4197734858bef68c18082174c118f8e113
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 13 16:56:26 2020 +0000

    Update Swedish translation

 po/sv.po | 45 ++++++++++++++++++++++++++++-----------------
 1 file changed, 28 insertions(+), 17 deletions(-)

commit 075b072a64e751c7f4a50d0c44927d06e41facaa
Author: Ell <ell_se@yahoo.com>
Date:   Thu Feb 13 18:44:58 2020 +0200

    app: increase the maximal airbrush stamp FPS

    In the Airbrush tool, increase the maximal stamp FPS from 15 to 60,
    and change the corresponding maximal Rate value from 150 to 100.
    This technically affects tool presets, but we'll live.

    (cherry picked from commit 6cd3c8bc749f52bb6027a1af0828dc4b35b5e2ea)

 app/paint/gimpairbrush.c        | 13 +++++++++----
 app/paint/gimpairbrushoptions.c |  4 ++--
 2 files changed, 11 insertions(+), 6 deletions(-)

commit 6ada1faed3ccac072087c603276f476858546766
Author: Ell <ell_se@yahoo.com>
Date:   Thu Feb 13 16:53:03 2020 +0200

    app: fix gimp_brush_mipmap_get_memsize()

    Don't include the main mask/pixmap buffer size -- it's already
    counted in gimp_brush_get_memsize().

    (cherry picked from commit 30e925065f1593d2ae0d8f3def6c6684c261aa81)

 app/core/gimpbrush-mipmap.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0367972eb13591c51da81dbbb1fcd224105775f5
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 13 13:22:02 2020 +0000

    Update Swedish translation

 po/sv.po | 261
 ++++++++++++++++++++++++---------------------------------------
 1 file changed, 97 insertions(+), 164 deletions(-)

commit 4177120b789c505208a7acbc9376fd197abf7235
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Feb 13 11:22:18 2020 +0000

    Update Ukrainian translation

 po/uk.po | 1671
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 900 insertions(+), 771 deletions(-)

commit 07afc8fcfedcd3b47ab5e9bb3a2f295990a9098c
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Thu Feb 13 10:26:32 2020 +0000

    Update Spanish translation

 po/es.po | 94
 +++++++++++++++++++++++++++++++---------------------------------
 1 file changed, 46 insertions(+), 48 deletions(-)

commit 18d34fb408c599472cd73abde76b917da4b149eb
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Thu Feb 13 08:56:29 2020 +0000

    Update Spanish translation

 po-python/es.po | 263
 ++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 172 insertions(+), 91 deletions(-)

commit 603ed31fd3ba19c0ac6bedfd6f988920ebb29019
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Thu Feb 13 08:47:04 2020 +0000

    Update Spanish translation

 po-script-fu/es.po | 108
 ++++++++++++++++++++++++++---------------------------
 1 file changed, 54 insertions(+), 54 deletions(-)

commit 43bd6915d5ea1e39734604e2f7e617e865eebdc5
Author: Rodrigo Lledó <rodhos92@gmail.com>
Date:   Thu Feb 13 08:40:56 2020 +0000

    Update Spanish translation

 po/es.po | 1518
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 831 insertions(+), 687 deletions(-)

commit 4320d714eeef991cae0286b9c7d0fd1727d08e34
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Thu Feb 13 00:02:26 2020 +0000

    Update Swedish translation

 po/sv.po | 6129
 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 3456 insertions(+), 2673 deletions(-)

commit 7ea884bfc24223662953f3f6a6c3959771d71eca
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Feb 12 23:45:06 2020 +0000

    Update Swedish translation

 po-script-fu/sv.po | 86
 +++++++++++++++++++++++++++++++-----------------------
 1 file changed, 50 insertions(+), 36 deletions(-)

commit 78c85ef13d55ce4cc82dc4bc0719387a6ae08424
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Feb 12 23:39:08 2020 +0000

    Update Swedish translation

 po-python/sv.po | 254
 +++++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 169 insertions(+), 85 deletions(-)

commit 808812b8f0ad48035294b7edbe03b4ef2325565a
Author: Nikc M <nikcdc@gmail.com>
Date:   Thu Feb 13 01:08:08 2020 +0200

    Issue #175 - Allow the erase every other row plugin to skip a
    different number of rows

    Adds generalized erase Nth row function,
    and sets original erase row function to
    call generalized one with n = 2
    to reduce code duplication

    (cherry picked from commit 0a5af889f9e0e0ce5c7733130d5a7b3af0eb5e5d)

 plug-ins/script-fu/scripts/erase-rows.scm | 26 +++++++++++++++++++++-----
 1 file changed, 21 insertions(+), 5 deletions(-)

commit a9e33ee1abd15ca98e28c6698cda8637a412f15d
Author: Elad Shahar <dawn.ever@gmail.com>
Date:   Thu Jan 23 17:12:53 2020 +0200

    plug-ins: in spyrogimp, add option to save path

    This is backported from the gimp 3 master branch. Replace the checkbox
    of two saving options (keep layer, or redraw on last active layer),
    with a combo box that has a third option for saving the pattern as
    a path.

 plug-ins/pygimp/plug-ins/spyro_plus.py | 73
 ++++++++++++++++++++++++----------
 1 file changed, 52 insertions(+), 21 deletions(-)

commit 81ea68660c502619c9c63117e6b3936a93f5bcd0
Author: Elad Shahar <dawn.ever@gmail.com>
Date:   Sat Dec 14 19:39:12 2019 +0200

    Issue #4326 - Add visual tab to spyrogimp plugin

 plug-ins/pygimp/plug-ins/spyro_plus.py | 456
 +++++++++++++++++++++++++++++----
 1 file changed, 407 insertions(+), 49 deletions(-)

commit fbc91f1556d357caa50db8255e1060e9c33c1cd5
Author: Ell <ell_se@yahoo.com>
Date:   Thu Feb 13 00:14:01 2020 +0200

    app: reorganize #includes in gimpbrush-{mipmap,transform}.cc

    (cherry picked from commit f797f688ad8d3b4553090b5247d1bd7baddb4c5f)

 app/core/gimpbrush-mipmap.cc    | 6 ++----
 app/core/gimpbrush-transform.cc | 4 ++--
 2 files changed, 4 insertions(+), 6 deletions(-)

commit 4ce6aa5a29bebba464e075d57264bc15a815c16d
Author: Ell <ell_se@yahoo.com>
Date:   Wed Feb 12 23:50:28 2020 +0200

    app: use mipmaps when downscaling raster brushes

    When downscaling raster brushes, we currently resample the original
    brush with no fitlering (other than bilinear interpolation), which
    results in very noticable aliasing when using heavily downscaled
    big brushes.

    This commit constructs a box-filtered mipmap hierarchy for the
    original brush on-demand, and the closest mipmap is used as the
    resampling source for downscaled brushes, significantly improving
    the output quality.

    (cherry picked from commit ee39f0ec13e0cdb701e34835710e00b5286e24ae)

 app/core/Makefile.am            |   2 +
 app/core/gimpbrush-mipmap.cc    | 509
 ++++++++++++++++++++++++++++++++++++++++
 app/core/gimpbrush-mipmap.h     |  38 +++
 app/core/gimpbrush-private.h    |  35 +--
 app/core/gimpbrush-transform.cc | 156 ++++++------
 app/core/gimpbrush.c            |   7 +
 6 files changed, 656 insertions(+), 91 deletions(-)

commit 02bf491a10a62193d48c40513991608676be9468
Author: Ell <ell_se@yahoo.com>
Date:   Wed Feb 12 23:39:38 2020 +0200

    app: add gimp_brush_transform_get_scale()

    ... which converts a (scale, aspect_ratio) pair to a (scale_x,
    scale_y) pair.

    Change gimp_brush_transform_matrix() to take (scale_x, scale_y)
    parameters, instead of (scale, aspect_ratio), and change the rest
    of the code accordingly.

    (cherry picked from commit 2dddf59dbf3285218131fe689f989f5799640825)

 app/core/gimpbrush-transform.cc | 57
 ++++++++++++++++++++++++++---------------
 app/core/gimpbrush-transform.h  |  8 ++++--
 2 files changed, 43 insertions(+), 22 deletions(-)

commit df016d472bc3e43a87bab396a7d269ab55c64f3b
Author: Ell <ell_se@yahoo.com>
Date:   Wed Feb 12 23:22:15 2020 +0200

    app: fix brush-transform resampling

    In gimpbrush-transform.cc, resample the transformed brush at pixel
    centers instead of edges, and fix the corresponding source
    coordinates.

    (cherry picked from commit e0e1ad5e2ae8129ef740df7a4e80868ef45351cc)

 app/core/gimpbrush-transform.cc | 213
 +++++++++++++++++++++-------------------
 1 file changed, 114 insertions(+), 99 deletions(-)

commit 9efb499c204fddd0e9bb96fa94c03beb00329875
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Feb 12 23:36:52 2020 +0300

    NEWS: more translations for 2.10.16

 NEWS | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit cdfcf4e31e036ab065e6d7ec1ee7bf96d8357ad6
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Wed Feb 12 20:21:40 2020 +0000

    Update Swedish translation

 po-python/sv.po | 417
 ++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 374 insertions(+), 43 deletions(-)

commit 8bfb3bc36874c7062442d8502fd6cbfc293dadbc
Author: Tim Sabsch <tim@sabsch.com>
Date:   Wed Feb 12 19:03:02 2020 +0000

    Update German translation

 po-libgimp/de.po | 311
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 158 insertions(+), 153 deletions(-)

commit 628bf9f32419ea1efe0bd8acbbf6df7e0a126e63
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Feb 12 19:09:55 2020 +0100

    Updated Danish translation

 po/da.po | 3271
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 1804 insertions(+), 1467 deletions(-)

commit a036c81cdf995933d425a94c0b3d18ceba80e74d
Author: Balázs Meskó <mesko.balazs@fsf.hu>
Date:   Wed Feb 12 17:47:49 2020 +0000

    Update Hungarian translation

 po-script-fu/hu.po | 108
 ++++++++++++++++++++++++++++++-----------------------
 1 file changed, 62 insertions(+), 46 deletions(-)

commit 72d7a910948885ad724285c2f8bfdc4c83884501
Author: Balázs Meskó <mesko.balazs@fsf.hu>
Date:   Wed Feb 12 17:30:03 2020 +0000

    Update Hungarian translation

 po/hu.po | 4116
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 2213 insertions(+), 1903 deletions(-)

commit 736d808a038eba3a415f83528489579342b3c5d1
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Wed Feb 12 00:21:31 2020 +0300

    Update news for 2.10.16

 NEWS | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 911a82ffe505c5198fd38ff1546c0550f27c6336
Author: Zander Brown <zbrown@gnome.org>
Date:   Tue Feb 11 18:26:10 2020 +0000

    Update British English translation

 po-tips/en_GB.po | 33 ++++++++++++++++++++-------------
 1 file changed, 20 insertions(+), 13 deletions(-)

commit 2190649ea05ff870559a3edc9e3e53691f439195
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Feb 11 18:19:31 2020 +0000

    Update British English translation

 po-plug-ins/en_GB.po | 891
 ++++++++++++++++++++++++++++-----------------------
 1 file changed, 493 insertions(+), 398 deletions(-)

commit 6724eb0f83e75929be6979951812a2e65ab28e8b
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Tue Feb 11 18:13:42 2020 +0000

    Update British English translation

 po/en_GB.po | 4438
 ++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 2527 insertions(+), 1911 deletions(-)

commit 56f61d047e5be47d84c795996281b97b9d12961f
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Tue Feb 11 19:39:19 2020 +0300

    Update appdata for upcoming 2.10.16 release

 desktop/org.gimp.GIMP.appdata.xml.in.in | 33
 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

commit 58acace2a28f71fe4052ee7a683d98d674630872
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Tue Feb 11 19:21:54 2020 +0300

    Update news for 2.10.16

 NEWS | 91
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 83 insertions(+), 8 deletions(-)

commit c125313bb98267ae3cc15751be78374bfb9c1935
Author: Ell <ell_se@yahoo.com>
Date:   Tue Feb 11 17:44:43 2020 +0200

    Issue #4605 - Invalid abr brush crashes GIMP

    When loading ABR brushes, error out on negative scan-line lengths,
    instead of trying to allocate a huge buffer.  This entire code
    could use a whole lot more unsignedness, but this should cover the
    crash.

    (cherry picked from commit 52cb2edd9e7cdfd376f39c35620df34cfbf75f5b)

 app/core/gimpbrush-load.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 10e66aa215916b2a173a014cf326caf545397f3e
Author: Ell <ell_se@yahoo.com>
Date:   Tue Feb 11 17:57:16 2020 +0200

    app: in abr_rle_decode(), avoid freeing NULL scratch buffers

    ... gegl_scratch_free() doesn't generally accept NULL pointers.

    (cherry picked from commit 782e209a33fe4a2ec2990258080211104cb42649)

 app/core/gimpbrush-load.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 76771468ee1e9b439da3b546413e8bf6be1ffefa
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Tue Feb 11 10:52:36 2020 +0100

    Updated Italian translation

 po-python/it.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6afdeafbf9ebe6d1fd3c7e6f6950aba4140425a0
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Tue Feb 11 10:47:03 2020 +0100

    Updated Italian translation

 po/it.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 4905904af6b8ec486322cbbf4d9d319f160a8e4b
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 11 09:37:42 2020 +0000

    Update Ukrainian translation

 po-plug-ins/uk.po | 3508
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 1787 insertions(+), 1721 deletions(-)

commit 464fc108eaac5f9ab2d6403956cc87dffdd431eb
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 11 09:36:02 2020 +0000

    Update Ukrainian translation

 po-script-fu/uk.po | 170
 +++++++++++++++++++++++++++++------------------------
 1 file changed, 94 insertions(+), 76 deletions(-)

commit 5d0691625bd3edafd6bd64a816db69d4182eb3d2
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 11 09:34:49 2020 +0000

    Update Ukrainian translation

 po-python/uk.po | 114
 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 57 insertions(+), 57 deletions(-)

commit f89fb76b4660868fbcd6f61719cbe8a6c8c33b29
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 11 09:30:51 2020 +0000

    Update Ukrainian translation

 po-libgimp/uk.po | 659
 ++++++++++++++++++++++++++++---------------------------
 1 file changed, 332 insertions(+), 327 deletions(-)

commit e3214ad0aeb45595714cbecc05d59305a96d4d36
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 11 09:29:07 2020 +0000

    Update Ukrainian translation

 po/uk.po | 2856
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 1516 insertions(+), 1340 deletions(-)

commit e675ce3a02ba3e4cd1be1108bb478ec7c0afc345
Author: Marco Ciampa <ciampix@posteo.net>
Date:   Tue Feb 11 08:00:26 2020 +0100

    Updated Italian translation

 po/it.po | 1424
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 772 insertions(+), 652 deletions(-)

commit 7ac1b4ba3733b3cbfe6158be4d5ac6ce65e13f92
Author: Ell <ell_se@yahoo.com>
Date:   Tue Feb 11 02:20:03 2020 +0200

    app: improve ABR brush loading speed

    Improve the efficiency of decoding RLE data when loading ABR
    brushes, by reading entire scanlines into a buffer all-at-once,
    instead of reading the stream byte-by-byte.

    (cherry picked from commit 07f95291a5f94364ee3cc02ab607da9c86f70211)

 app/core/gimpbrush-load.c | 108
 ++++++++++++++++++++++------------------------
 1 file changed, 52 insertions(+), 56 deletions(-)

commit b2ea16b6b3666d685fbbda3f34db66c4b5865aab
Author: Tim Sabsch <tim@sabsch.com>
Date:   Sun Feb 9 23:18:05 2020 +0000

    Update German translation

 po/de.po | 144
 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 64 insertions(+), 80 deletions(-)

commit 372783134c1df383f26e1475e21b4dc85e1ce9e8
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sun Feb 9 18:19:46 2020 +0000

    Update Icelandic translation

 po-plug-ins/is.po | 3176
 +++++++++++++++++++++++++++--------------------------
 1 file changed, 1628 insertions(+), 1548 deletions(-)

commit 055839d3f26fbf752016ae8a481a141bb50c1bbe
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sun Feb 9 17:31:16 2020 +0000

    Update Icelandic translation

 po/is.po | 3517
 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 1840 insertions(+), 1677 deletions(-)

commit d9caa3e38e5fd017b7d765603395d2f6a159cb69
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sun Feb 9 17:19:41 2020 +0000

    Update Icelandic translation

 po-libgimp/is.po | 347
 +++++++++++++++++++++++++++----------------------------
 1 file changed, 172 insertions(+), 175 deletions(-)

commit f35cc12004e60637ae7f81bd516ff756896f633b
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sun Feb 9 15:19:20 2020 +0100

    Update Catalan translation

 po/ca.po | 1451
 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 786 insertions(+), 665 deletions(-)

commit 851e74f95981fe1c48aee70f6500bcec73b97794
Author: Tim Sabsch <tim@sabsch.com>
Date:   Sun Feb 9 13:22:44 2020 +0000

    Update German translation

 po/de.po | 3947
 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 1996 insertions(+), 1951 deletions(-)

commit ea879a767d752bc9d55532e54cc349371c126aba
Author: Alexandre Prokoudine <alexandre.prokoudine@gmail.com>
Date:   Sun Feb 9 15:20:24 2020 +0300

    Update Russian translation

 po/ru.po | 1275
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 684 insertions(+), 591 deletions(-)

commit 9cc0d1183d2f8ede98a514485d1f563bdd53044c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 9 13:09:47 2020 +0100

    Update Polish translation

 po/pl.po | 1326
 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 714 insertions(+), 612 deletions(-)

commit 0a3ec870cfa9c2e8062ad8395f12d759db1e6f80
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 9 12:49:11 2020 +0100

    Update POTFILES.in

 po/POTFILES.in | 1 +
 1 file changed, 1 insertion(+)

commit 5c4b5b6cae13128df2584e3dbd57e12c2753b2a8
Author: Tim Sabsch <tim@sabsch.com>
Date:   Sun Feb 9 01:10:03 2020 +0000

    Update German translation

 po-script-fu/de.po | 427
 +++++++++++++++++++++++++++++------------------------
 1 file changed, 231 insertions(+), 196 deletions(-)

commit 0baa877f158504dc5efc4ff51291c0d9b1e02de9
Author: Tim Sabsch <tim@sabsch.com>
